Debian Bug report logs - #599666
libatk1.0-0: Please document reason for libatk1.0-data recommendation

version graph

Package: libatk1.0-0; Maintainer for libatk1.0-0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libatk1.0-0 is src:atk1.0.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sat, 9 Oct 2010 22:15:01 UTC

Severity: normal

Found in version atk1.0/1.30.0-1

Fixed in version atk1.0/1.32.0-1

Done: Laurent Bigonville <bigon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599666; Package libatk1.0-0. (Sat, 09 Oct 2010 22:15:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libatk1.0-0: Please document reason for libatk1.0-data recommendation
Date: Sat, 9 Oct 2010 15:12:03 -0700
Package: libatk1.0-0
Version: 1.30.0-1
Severity: normal

libatk1.0-0 recommends libatk1.0-data, but does not document why it
needs libatk1.0-data, making it difficult to decide whether to install
it.  If libatk1.0-0 actually requires this data in order to function,
please change the recommends to a depends.  If not, please document the
reason for the recommendation in the description of libatk1.0-0, and
consider carefully whether to use "Recommends" or "Suggests", given the
number of packages which pull in libatk1.0-0.

Thanks,
Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.36-rc6-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libatk1.0-0 depends on:
ii  libc6                         2.11.2-6   Embedded GNU C Library: Shared lib
ii  libglib2.0-0                  2.24.2-1   The GLib library of C routines

Versions of packages libatk1.0-0 recommends:
pn  libatk1.0-data                <none>     (no description available)

libatk1.0-0 suggests no packages.

-- no debconf information




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 07:06:06 GMT) Full text and rfc822 format available.

Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Fri, 26 Nov 2010 12:21:09 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Fri, 26 Nov 2010 12:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 599666-close@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 599666-close@bugs.debian.org
Subject: Bug#599666: fixed in atk1.0 1.32.0-1
Date: Fri, 26 Nov 2010 12:17:10 +0000
Source: atk1.0
Source-Version: 1.32.0-1

We believe that the bug you reported is fixed in the latest version of
atk1.0, which is due to be installed in the Debian FTP archive:

atk1.0_1.32.0-1.debian.tar.gz
  to main/a/atk1.0/atk1.0_1.32.0-1.debian.tar.gz
atk1.0_1.32.0-1.dsc
  to main/a/atk1.0/atk1.0_1.32.0-1.dsc
atk1.0_1.32.0.orig.tar.gz
  to main/a/atk1.0/atk1.0_1.32.0.orig.tar.gz
gir1.0-atk-1.0_1.32.0-1_amd64.deb
  to main/a/atk1.0/gir1.0-atk-1.0_1.32.0-1_amd64.deb
libatk1.0-0_1.32.0-1_amd64.deb
  to main/a/atk1.0/libatk1.0-0_1.32.0-1_amd64.deb
libatk1.0-data_1.32.0-1_all.deb
  to main/a/atk1.0/libatk1.0-data_1.32.0-1_all.deb
libatk1.0-dbg_1.32.0-1_amd64.deb
  to main/a/atk1.0/libatk1.0-dbg_1.32.0-1_amd64.deb
libatk1.0-dev_1.32.0-1_amd64.deb
  to main/a/atk1.0/libatk1.0-dev_1.32.0-1_amd64.deb
libatk1.0-doc_1.32.0-1_all.deb
  to main/a/atk1.0/libatk1.0-doc_1.32.0-1_all.deb
libatk1.0-udeb_1.32.0-1_amd64.udeb
  to main/a/atk1.0/libatk1.0-udeb_1.32.0-1_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599666@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laurent Bigonville <bigon@debian.org> (supplier of updated atk1.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 22 Nov 2010 19:38:00 +0100
Source: atk1.0
Binary: libatk1.0-0 libatk1.0-udeb libatk1.0-data libatk1.0-dev libatk1.0-dbg libatk1.0-doc gir1.0-atk-1.0
Architecture: source all amd64
Version: 1.32.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Laurent Bigonville <bigon@debian.org>
Description: 
 gir1.0-atk-1.0 - The ATK accessibility toolkit (GObject introspection)
 libatk1.0-0 - The ATK accessibility toolkit
 libatk1.0-data - Common files for the ATK accessibility toolkit
 libatk1.0-dbg - The ATK libraries and debugging symbols
 libatk1.0-dev - Development files for the ATK accessibility toolkit
 libatk1.0-doc - Documentation files for the ATK toolkit
 libatk1.0-udeb - The ATK accessibility toolkit (udeb)
Closes: 582385 599666
Changes: 
 atk1.0 (1.32.0-1) experimental; urgency=low
 .
   [ Josselin Mouette ]
   * Make libatk1.0-0 depend on libatk1.0-data and remove the opposite
     dependency. Closes: #599666.
 .
   [ Laurent Bigonville ]
   * New upstream stable release.
     - Refresh debian/patches/90-relibtoolize.patch
   * debian/control.in:
     - Bump Standards-Version to 3.9.1
     - Remove duplicate Uploaders
     - Remove duplicate Section/Priority to please lintian
   * debian/rules: Bump SHLIB_VERSION version
   * Switch to dpkg-source 3.0 (quilt) format
   * Add libatk1.0-0.symbols file
   * Enable introspection support (Closes: #582385)
Checksums-Sha1: 
 0819b2a48323db8f5c9af5eacb7fc85be6415b59 2011 atk1.0_1.32.0-1.dsc
 d738567280d155b6fca43be774bb79ea6d9d5131 951851 atk1.0_1.32.0.orig.tar.gz
 f581903aa35d30f3af47692893595bf5f2567760 9574 atk1.0_1.32.0-1.debian.tar.gz
 2fa10d7498db6999f05b9142ed4eed34ed513013 212272 libatk1.0-data_1.32.0-1_all.deb
 2d98b0f26e49e1d29c0ba9f60f86c061dc77c2cc 145502 libatk1.0-doc_1.32.0-1_all.deb
 116d8fcc9bdc2049dcf8054b76c41a8a4fe068e8 90078 libatk1.0-0_1.32.0-1_amd64.deb
 428e2f67fac0386a53ab0fd9b6612bf81fef2cbb 45554 libatk1.0-udeb_1.32.0-1_amd64.udeb
 c1df99450723fb8a9f42e7a532aece8fc6414933 162772 libatk1.0-dev_1.32.0-1_amd64.deb
 6d08f5d66d8f623ea634479461fa5d0e4eec34ea 150250 libatk1.0-dbg_1.32.0-1_amd64.deb
 bfd72b5323de35fc65828d8b99bd941894cebff7 57922 gir1.0-atk-1.0_1.32.0-1_amd64.deb
Checksums-Sha256: 
 8c3ad26e0db3828680372c96dc9b08e4fccd45c6c88cdf7286c45d7d0587cf44 2011 atk1.0_1.32.0-1.dsc
 cebfc6952683ca6732f084724a9261f530d10fb07a83585267a7b463577c7805 951851 atk1.0_1.32.0.orig.tar.gz
 1a4ef71b69a7724c2e1c71f99499ac69158581862611b58bfb8be1c564cf503c 9574 atk1.0_1.32.0-1.debian.tar.gz
 3041a4d58edc59ef6bcf770249c2a0fd3a43e5bb5d6fcf7bb6199331351dde2b 212272 libatk1.0-data_1.32.0-1_all.deb
 689a268ee9fa86ce91d3fa070f8590e71e972b189e8a0042a6c5b075430090b1 145502 libatk1.0-doc_1.32.0-1_all.deb
 902dff9dfe30eb437c36f7d7ac5d38195185e4b177b4bf5b5ce32af1faf48b75 90078 libatk1.0-0_1.32.0-1_amd64.deb
 913b6e374c6aac5679835efc5b2bc0174d66c808d545f1924987cfa28e6ac606 45554 libatk1.0-udeb_1.32.0-1_amd64.udeb
 7da7874174d500b13f4c67029d891ea613f0b727a475e7af7c4f23ae44c5ba4a 162772 libatk1.0-dev_1.32.0-1_amd64.deb
 cdc488e5d26ab915937a275b11719c26850e0e95ba93f321ce09a0516074a95b 150250 libatk1.0-dbg_1.32.0-1_amd64.deb
 844cadc1b19dced6981b3c4dbe6865af67dd4176283718e1b1fb7ca4268b76ee 57922 gir1.0-atk-1.0_1.32.0-1_amd64.deb
Files: 
 096ffba4ca5c0922bcb75a77c11838f2 2011 libs optional atk1.0_1.32.0-1.dsc
 1c8190ef899280110f59da9d73330227 951851 libs optional atk1.0_1.32.0.orig.tar.gz
 b689fd561cf61a44f3c6f75c279e2910 9574 libs optional atk1.0_1.32.0-1.debian.tar.gz
 87eb2078726cfd9f361c7544b50cf867 212272 misc optional libatk1.0-data_1.32.0-1_all.deb
 7fec0e33e1adc094b31a5d6f7b16efce 145502 doc optional libatk1.0-doc_1.32.0-1_all.deb
 ceea6d4acf9c087d7dea30a7ba73d2ff 90078 libs optional libatk1.0-0_1.32.0-1_amd64.deb
 989a73a05a7ea7623bb4b91ce38f3d17 45554 debian-installer optional libatk1.0-udeb_1.32.0-1_amd64.udeb
 7f0ebc38694e42eff1bf70589854aa16 162772 libdevel optional libatk1.0-dev_1.32.0-1_amd64.deb
 29b328ad5721aae8306b3e1fcb0d440f 150250 debug extra libatk1.0-dbg_1.32.0-1_amd64.deb
 72797e789c34cb88667d6e6514c2451e 57922 libs optional gir1.0-atk-1.0_1.32.0-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJM6rvQAAoJEB/FiR66sEPVIDkIAI3HPURIwBU8Oaav4qBmYMoG
v+lnag1jP7aN3PvOQyei4CGmvkbBwc8Mp1rQ0w6+KBcDOPfJZ4Y5RgVmZS3e8wW4
/Ta9XHlhnSqIg1bezKtURYGbQ/kVz6vgF9Eqv9GT4QxLlm8xL0LSWajkatkcYF2m
7EwCSZEn+7bPlWgzS3Ez8KxpAxqo9Lc5m9BE58bUngvIdb23OPRzG2v75WYOZFhk
bLgPgp4TjX4TfQmh3FTzXkKZnBV4EsG4KbxfUX0HEpBBHERg9oeSbMx9ej9nbJCa
/i5Rwd1efHOIzYg6wDG5azivEwiXOkNzZq9nt2VGFalm+lMnhgtub6/JL2sjUjA=
=NeAZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:07:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.